package inf119;

public enum MovementType {
	THRUST,
	YAW_LEFT,
	YAW_RIGHT,
	PITCH_LEFT,
	PITCH_RIGHT,
	ROLL_LEFT,
	ROLL_RIGHT,
	NO_ACTION;
	
	public String toString()
	{
		switch(this){
		case THRUST:		return "Thrust";
		case YAW_LEFT:		return "YawLeft";
		case YAW_RIGHT:		return "YawRight";
		case PITCH_LEFT:	return "PitchLeft";
		case PITCH_RIGHT:	return "PitchRight";
		case ROLL_LEFT:		return "RollLeft";
		case ROLL_RIGHT:	return "RollRight";
		}
		return "NoAction";
	}
	
	public int toInt()
	{
		switch(this){
		case THRUST:		return 1;
		case YAW_LEFT:		return 2;
		case YAW_RIGHT:		return 3;
		case PITCH_LEFT:	return 4;
		case PITCH_RIGHT:	return 5;
		case ROLL_LEFT:		return 6;
		case ROLL_RIGHT:	return 7;
		}
		return 0;	
	}
	
	public static int numValues()
	{
		return (MovementType.values().length);
	}
	public static MovementType iToMT(int i)
	{
		switch(i){
		case 1: return THRUST;
		case 2: return YAW_LEFT;
		case 3: return YAW_RIGHT;
		case 4: return PITCH_LEFT;
		case 5: return PITCH_RIGHT;
		case 6: return ROLL_LEFT;
		case 7: return ROLL_RIGHT;
		}
		return NO_ACTION;			
	}
	public static String iToS(int i)
	{
		return iToMT(i).toString();
	}

}