/**
 * CallPhysics.java
 * 
 * Takes in the list of user commands and executes them when ticked
 * 
 * @author mmasukaw
 */

package inf119.gamelogic;

import inf119.*;
import inf119.interfaces.*;

public class CallPhysics {
	PhysicsModelIntf pm;
	boolean[] actions;
	StateIntf gsc;
	
	public CallPhysics(StateIntf GSC, PhysicsModelIntf phm)
	{
		gsc = GSC;
		//pm = new PhysicsModel(GSC);
		pm = phm;
		actions = new boolean[MovementType.numValues()];
	}
	
	public void setActions(boolean[] inputs)
	/* Makes a list of things that are to happen each tick */
	{		
		for (int i = 0; i < inputs.length; i++){
			actions[i] = inputs[i];
		}
	}
	
	public void tick(double millisecs)
	/* Ticks */
	{
		for (int i = 0; i < actions.length; i++){
			if (actions[i]){
				pm.Thrust(MovementType.iToMT(i), millisecs);				
			}				
		}
		if (actions[MovementType.THRUST.toInt()] == true && (gsc.getHUDFuelLevel() > 0)){
			gsc.setThrusting(true);
			pm.MaxThrust(millisecs);
		}
		else {
			gsc.setThrusting(false);
			pm.TimePass(millisecs);
		}
			
	}	
}
