package inf119.gamelogic;

import java.awt.Font;

public class Menu {
	public static final int LEFT_ALIGN = 0,
		CENTER_ALIGN = 1, 
		RIGHT_ALIGN = 2, 
		DEFAULT_ALIGN = CENTER_ALIGN; 
	
	private Font font;
	private String title;
	private int titleAlign;
	private MenuItem[] menuItems;
	private double keyWidth = 0.2, padding = 0.1;
		//The percentage of the menu that is devoted to these fields
		//Set keyWidth and Pad and MenuItemText gets the rest:
		//[PAD][Key][PAD][MenuItemText][PAD]
	
	public Menu(String t, int tAlign, MenuItem[] items, Font f)
	{
		font = f;
		title = t;
		titleAlign = Menu.DEFAULT_ALIGN;
		switch (tAlign)
		{
		case (Menu.LEFT_ALIGN):
		case (Menu.CENTER_ALIGN):
		case (Menu.RIGHT_ALIGN):
			titleAlign = tAlign;
			break;
		}		
		menuItems = items;
	}
	public boolean setKeyWidth(double pct)
	{
		if (pct > 1 || pct < 0)
			return false;
		keyWidth = pct;
		return true;
	}
	public boolean setPaddingWidth(double pct)
	{
		if (pct > 1 || pct < 0)
			return false;
		padding = pct;
		return true;
	}
	public void setFont(Font f)
	{
		font = f;
	}	
	public double getKeyWidth()
	{
		return keyWidth;
	}
	public double getPadding()
	{
		return padding;
	}
	public Font getFont()
	{
		return font;
	}
	public int getTitleAlign()
	{
		return titleAlign;
	}
	public String getTitle()
	{
		return title;
	}
	public MenuItem[] getMenuItems()
	{
		return menuItems;
	}
}
