package inf119.gamelogic;

public class MenuItem {
	private String text;
	private String key;
	private int keyCode;
	private int alignment;
	private int nextState;  //This determines the action taken when the menu item is selected
							//Currently, selecting an item changes the game state to that value
	
	public MenuItem(int code, String t, int align, int nextState)
	{
		keyCode = code;
		key = "" + (char)(code);
		/* 
		 * TODO: check for keys which aren't A-Z, a-z, 0-9, etc
		 * Special keys need explicit descriptions
		 */
		
		
		text = t;
		alignment = Menu.DEFAULT_ALIGN;
		this.nextState = nextState;
		switch (align)
		{
		case (Menu.LEFT_ALIGN):
		case (Menu.CENTER_ALIGN):
		case (Menu.RIGHT_ALIGN):
			alignment = align;
			break;
		}		
	}
	public String getText()
	{
		return text;
	}
	public String getKey()
	{
		return key;
	}
	public int getCode()
	{
		return keyCode;
	}
	public int getAlignment()
	{
		return alignment;
	}
	public int getNextState()
	{
		return nextState;
	}
}
