package inf119.interfaces;

import inf119.LanderModel;
import inf119.LocOri;
import inf119.TerrainMap;
import inf119.gamelogic.Menu;

import java.io.FileNotFoundException;
import java.io.IOException;

public interface StateIntf {
	
	public double[] getShipVariables();
	public  void setShipVariables(double[] newShipStats);
	public double[] getEnvironmentConstants();
	public int getDifficulty();
	public void setDifficulty(int level);
	public void loadNewShip(String name) throws FileNotFoundException, IOException;
	public void loadNewScenario(String name) throws FileNotFoundException, IOException;
	public void loadNewPlanet(String name) throws FileNotFoundException, IOException;
	public void loadNewGameData(String name) throws FileNotFoundException, IOException;
	public String getShipName();
	public String getPlanetName();
	public String getPlanetFileName();
	public String getScenarioName();
	public double[] getCurrentShipInfoForMenu();
	public double[] getCurrentPlanetInfoForMenu();
	public double[] getCurrentScenarioInfoForMenu();
	public String getShipPictureFileName();
	public String getPlanetPictureFileName();
	public void setOption(int number, int value);
	public void setCurrentUserName(String name);
	public String getCurrentUserName();
	public String getHighScoreUserName(String level);
	public double getHighScore(String level);
	public boolean setHighScore(String level, Double score);
	public void saveHighScores() throws IOException;
	public int getGameState();
	public void updateGameState(int state);
	public int getMenuState();
	public void updateMenuState(int state);
	public void launchGameMenu();
	public void launchGame() throws FileNotFoundException, IOException;
	public void pauseGame();
	public double getInitialFuelPercent();
	public double getCurrentFuelLevelPercent();
	public LocOri getCameraInfo();
	public  void setCameraInfo(LocOri camera);
	public double[] getVelocity();
	public double[] getShipPosition();
	public double[] getRotation();
	public double getHUDFuelLevel();
	public TerrainMap getTerrainMap();
	public LanderModel getLanderModel();
	public void setMenu(Menu m);
	public Menu getMenu();
	public void setThrusting(boolean thrust);
	public boolean getThrusting();
	public void begin();

}
